Import Shotgun sequences. Send a list of Shotgun sequence entries in the JSON body. Returns created or updated sequences linked to episodes.
POST
/import/shotgun/sequences
curl
curl -X POST "http://api.example.com/import/shotgun/sequences" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"code": "SQ01",
"description": "Main sequence",
"project": {
"name": "My Project"
},
"episode": {
"id": 11111
}
}
]'
import requests
url = "http://api.example.com/import/shotgun/sequences"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"code": "SQ01",
"description": "Main sequence",
"project": {
"name": "My Project"
},
"episode": {
"id": 11111
}
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/sequences' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":12345,"code":"SQ01","episode":{"id":11111},"project":{"name":"My Project"},"description":"Main sequence"}]'
Request example
[
{
"id": 12345,
"code": "SQ01",
"episode": {
"id": 11111
},
"project": {
"name": "My Project"
},
"description": "Main sequence"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "SQ01",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]